// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// Copyright 2011 Dr. Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassFactoryCreator.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "..\OgreSDK_vc10_v1-7-3\include\OIS\OISFactoryCreator.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"
#include "EnumType.h"


// original function: int totalDevices(Type iType);
void cOISFc_totalDevices_c(struct hg3dclass_struct *classptr_c, enum EnumType iType_c, int * result_c);
// original function: int freeDevices(Type iType);
void cOISFc_freeDevices_c(struct hg3dclass_struct *classptr_c, enum EnumType iType_c, int * result_c);
// original function: bool vendorExist(Type iType, const std::string & vendor);
void cOISFc_vendorExist_c(struct hg3dclass_struct *classptr_c, enum EnumType iType_c, char * vendor_c, int * result_c);
// original function: Object* createObject(InputManager* creator, Type iType, bool bufferMode, const std::string & vendor);
void cOISFc_createObject_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * creator_c, enum EnumType iType_c, int bufferMode_c, char * vendor_c, struct hg3dclass_struct * result_c);
// original function: void destroyObject(Object* obj);
void cOISFc_destroyObject_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * obj_c);
